import { ReactNode } from 'react';
interface Props {
    /** Recursively apply spacing (for nested stacks) */
    recursive?: boolean;
    /** Vertical space between child elements */
    space?: string;
    /** Split after n children */
    splitAfter?: number;
    children?: ReactNode;
    /** HTML element to render */
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Stack layout component
 */
export declare function Stack(props: Props): JSX.Element;
export {};
