import { ReactNode } from 'react';
interface Props {
    /** Vertical alignment */
    align?: 'start' | 'center' | 'end' | 'stretch';
    /** Horizontal alignment */
    justify?: 'start' | 'center' | 'end' | 'space-between' | 'space-around' | 'space-evenly';
    /** Space value used for gap between children */
    space?: string;
    children?: ReactNode;
    /** HTML element to render */
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Group layout component
 */
export declare function Group(props: Props): JSX.Element;
export {};
